<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/order/dt_stacktaskinfo.js此处编写
 -->
<template>
  <div>
    <view-grid
      ref="grid"
      :columns="columns"
      :detail="detail"
      :editFormFields="editFormFields"
      :editFormFileds="editFormFields"
      :editFormOptions="editFormOptions"
      :searchFormFields="searchFormFields"
      :searchFormFileds="searchFormFields"
      :searchFormOptions="searchFormOptions"
      :table="table"
      :extend="extend"
    >
    </view-grid>
  </div>
</template>

<script>
import extend from "@/extension/taskinfo/dt_stacktaskinfo.js";
import ViewGrid from "@/components/basic/ViewGrid.vue";
var vueParam = {
  components: {
    ViewGrid,
  },
  data() {
    return {
      table: {
        key: "stacktask_id",
        footer: "Foots",
        cnName: "堆垛机任务队列信息",
        name: "dt_stacktaskinfo",
        url: "/dt_stacktaskinfo/",
        sortName: "stacktask_createtime",
      },
      extend: extend,
      editFormFields: {},
      editFormOptions: [],
      searchFormFields: {
        stacktask_tasknumber: "",
        stacktask_type: "",
        stacktask_state: "",
        stacktask_stacker: "",
        stacktask_barcode: "",
      },
      searchFormOptions: [
        [
          { title: "托盘号", field: "stacktask_barcode", type: "like" },
          { title: "任务类型", field: "stacktask_type", type: "like" },
          { title: "任务状态", field: "stacktask_state", type: "like" },
        ],
        [
          { title: "堆垛机", field: "stacktask_stacker", type: "like" },
          { title: "任务号", field: "stacktask_tasknumber", type: "like" },
        ],
      ],
      columns: [
        {
          field: "stacktask_id",
          title: "主键",
          type: "guid",
          width: 90,
          hidden: true,
          readonly: true,
          require: true,
          align: "left",
        },
        {
          field: "stacktask_areid",
          title: "库区id",
          type: "string",
          width: 120,
          require: true,
          align: "left",
          sortable: true,
          hidden: true
        },
        {
          field: "stacktask_tasknumber",
          title: "任务号",
          type: "string",
          width: 120,
          require: true,
          align: "left",
        },
        {
          field: "stacktask_worktype",
          title: "工作类型",
          type: "int",
          width: 90,
          align: "left",
          hidden: true
        },
        {
          field: "stacktask_type",
          title: "任务类型",
          type: "string",
          width: 120,
          align: "left",
          bind: { key: "task_type", data: [] },
        },
        {
          field: "stacktask_state",
          title: "任务状态",
          type: "string",
          width: 120,
          require: true,
          align: "left",
           bind: { key: "task_state", data: [] },
        },
        {
          field: "stacktask_stacker",
          title: "堆垛机",
          type: "string",
          width: 80,
          require: true,
          align: "left",
        },
        {
          field: "stacktask_barcode",
          title: "托盘号",
          type: "string",
          width: 120,
          align: "left",
        },
        {
          field: "stacktask_fromlocationline",
          title: "来源地址行",
          type: "string",
          width: 90,
          require: true,
          align: "left",
        },
        {
          field: "stacktask_fromlocationcolu",
          title: "来源地址列",
          type: "string",
          width: 90,
          require: true,
          align: "left",
        },
        {
          field: "stacktask_fromlocationlayer",
          title: "来源地址层",
          type: "string",
          width: 90,
          require: true,
          align: "left",
        },
        {
          field: "stacktask_outhsstation",
          title: "出库站台",
          type: "string",
          width: 90,
          align: "left",
          hidden: true
        },
        {
          field: "stacktask_outstation",
          title: "出库口",
          type: "string",
          width: 90,
          require: true,
          align: "left",
          hidden: true
        },
        {
          field: "stacktask_tolocationline",
          title: "目的地址行",
          type: "string",
          width: 90,
          require: true,
          align: "left",
        },
        {
          field: "stacktask_tolocationcolu",
          title: "目的地址列",
          type: "string",
          width: 90,
          require: true,
          align: "left",
        },
        {
          field: "stacktask_tolocationlayer",
          title: "目的地址层",
          type: "string",
          width: 90,
          require: true,
          align: "left",
        },
        {
          field: "stacktask_inhsstation",
          title: "入库站台",
          type: "string",
          width: 90,
          align: "left",
          hidden: true
        },
        {
          field: "stacktask_instation",
          title: "入库口",
          type: "string",
          width: 90,
          require: true,
          align: "left",
          hidden: true
        },
        {
          field: "stacktask_dispatchertime",
          title: "调度开始时间",
          type: "datetime",
          width: 160,
          require: true,
          align: "left",
          sortable: true,
        },
        {
          field: "stacktask_requestkey",
          title: "来源主键",
          type: "string",
          width: 120,
          require: true,
          align: "left",
          hidden: true
        },
        {
          field: "stacktask_grade",
          title: "执行等级",
          type: "int",
          width: 90,
          align: "left",
        },
        {
          field: "stacktask_creator",
          title: "创建者",
          type: "string",
          width: 80,
          require: true,
          align: "left",
        },
        {
          field: "stacktask_createtime",
          title: "创建时间",
          type: "datetime",
          width: 160,
          require: true,
          align: "left",
          sortable: true,
        },
      ],
      detail: {
        cnName: "#detailCnName",
        columns: [],
        sortName: "",
        key: "",
      },
    };
  },
};
export default vueParam;
</script>
